-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Aug 24, 2024 at 02:52 PM
-- Server version: 10.4.27-MariaDB
-- PHP Version: 8.0.25

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `demo_parcel_db`
--

-- --------------------------------------------------------

--
-- Table structure for table `tblcustomer`
--

CREATE TABLE `tblcustomer` (
  `customer_id` int(11) NOT NULL,
  `customer_name` varchar(255) NOT NULL,
  `customer_address` text NOT NULL,
  `customer_email` varchar(255) NOT NULL,
  `customer_contact` varchar(50) NOT NULL,
  `customer_username` varchar(50) NOT NULL,
  `customer_password` varchar(255) NOT NULL,
  `customer_profile_image` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tblparcel`
--

CREATE TABLE `tblparcel` (
  `parcel_id` int(11) NOT NULL,
  `parcel_code` varchar(50) NOT NULL,
  `store_id` int(11) NOT NULL,
  `customer_id` int(11) NOT NULL,
  `parcel_description` text DEFAULT NULL,
  `remarks_notes` text DEFAULT NULL,
  `rider_id` int(11) NOT NULL,
  `status` enum('at sorting facility','picked-up','in-transit','delivered') DEFAULT 'at sorting facility',
  `rate_by_customer` decimal(3,2) DEFAULT NULL CHECK (`rate_by_customer` between 0 and 5),
  `comment_by_customer` text DEFAULT NULL,
  `documentation_photo` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tblparceldetails`
--

CREATE TABLE `tblparceldetails` (
  `parcel_detail_id` int(11) NOT NULL,
  `parcel_id` int(11) NOT NULL,
  `date_time` datetime NOT NULL DEFAULT current_timestamp(),
  `status` enum('at sorting facility','picked-up','in-transit','delivered') NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tblrider`
--

CREATE TABLE `tblrider` (
  `rider_id` int(11) NOT NULL,
  `rider_name` varchar(255) NOT NULL,
  `rider_address` text NOT NULL,
  `rider_email` varchar(255) NOT NULL,
  `rider_contact` varchar(50) NOT NULL,
  `rider_username` varchar(50) NOT NULL,
  `rider_password` varchar(255) NOT NULL,
  `rider_profile_image` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tblstore`
--

CREATE TABLE `tblstore` (
  `store_id` int(11) NOT NULL,
  `store_name` varchar(255) NOT NULL,
  `complete_address` text NOT NULL,
  `email_address` varchar(255) NOT NULL,
  `contact_info` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `tblcustomer`
--
ALTER TABLE `tblcustomer`
  ADD PRIMARY KEY (`customer_id`),
  ADD UNIQUE KEY `customer_email` (`customer_email`),
  ADD UNIQUE KEY `customer_username` (`customer_username`);

--
-- Indexes for table `tblparcel`
--
ALTER TABLE `tblparcel`
  ADD PRIMARY KEY (`parcel_id`),
  ADD UNIQUE KEY `parcel_code` (`parcel_code`),
  ADD KEY `store_id` (`store_id`),
  ADD KEY `customer_id` (`customer_id`),
  ADD KEY `rider_id` (`rider_id`);

--
-- Indexes for table `tblparceldetails`
--
ALTER TABLE `tblparceldetails`
  ADD PRIMARY KEY (`parcel_detail_id`),
  ADD KEY `parcel_id` (`parcel_id`);

--
-- Indexes for table `tblrider`
--
ALTER TABLE `tblrider`
  ADD PRIMARY KEY (`rider_id`),
  ADD UNIQUE KEY `rider_email` (`rider_email`),
  ADD UNIQUE KEY `rider_username` (`rider_username`);

--
-- Indexes for table `tblstore`
--
ALTER TABLE `tblstore`
  ADD PRIMARY KEY (`store_id`),
  ADD UNIQUE KEY `email_address` (`email_address`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `tblcustomer`
--
ALTER TABLE `tblcustomer`
  MODIFY `customer_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tblparcel`
--
ALTER TABLE `tblparcel`
  MODIFY `parcel_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tblparceldetails`
--
ALTER TABLE `tblparceldetails`
  MODIFY `parcel_detail_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tblrider`
--
ALTER TABLE `tblrider`
  MODIFY `rider_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tblstore`
--
ALTER TABLE `tblstore`
  MODIFY `store_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `tblparcel`
--
ALTER TABLE `tblparcel`
  ADD CONSTRAINT `tblparcel_ibfk_1` FOREIGN KEY (`store_id`) REFERENCES `tblstore` (`store_id`),
  ADD CONSTRAINT `tblparcel_ibfk_2` FOREIGN KEY (`customer_id`) REFERENCES `tblcustomer` (`customer_id`),
  ADD CONSTRAINT `tblparcel_ibfk_3` FOREIGN KEY (`rider_id`) REFERENCES `tblrider` (`rider_id`);

--
-- Constraints for table `tblparceldetails`
--
ALTER TABLE `tblparceldetails`
  ADD CONSTRAINT `tblparceldetails_ibfk_1` FOREIGN KEY (`parcel_id`) REFERENCES `tblparcel` (`parcel_id`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
